| IOLink Python 1.11.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Static Public Attributes | Properties | List of all members
iolink.iolink.ParallelAccessExtension Class Reference
Inheritance diagram for iolink.iolink.ParallelAccessExtension:

## Public Member Functions
| __init__ (self, *args, **kwargs)
| get_capabilities (self)
| support (self, flags)
| to_string (self)
| __repr__ (self)

## Static Public Member Functions
| cast (extension)

## Static Public Attributes
| EXTENSION_ID = _iolink.ParallelAccessExtension_EXTENSION_ID

## Properties
| thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
| capabilities = property(get_capabilities, doc=get_capabilities.__doc__)
Properties inherited from iolink.iolink.Extension
| thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")

## Detailed Description

    ImageView extension to give information about how to efficiently
    access it in a multi-threaded environment.

    ImageView content can be accessed with following features:
    - thread-safe: no race conditions when accessing with multiple threads
    - parallel-access by tile: hints benefits when tiles are accessed in parallel
    - parallel-access: hints benefits when regions are accessed in parallel

    In any case, parallel reading and writing into the same part of an image is not advised,
    as there is no control over the ordering of operations.

## Constructor & Destructor Documentation

## ◆ __init__()

iolink.iolink.ParallelAccessExtension.__init__ | ( |  | self,
|  | * | args,
|  | ** | kwargs
| ) |  |

Reimplemented from iolink.iolink.Extension.

## Member Function Documentation

## ◆ __repr__()

iolink.iolink.ParallelAccessExtension.__repr__ | ( |  | self | ) |

Reimplemented from iolink.iolink.Extension.

## ◆ cast()

iolink.iolink.ParallelAccessExtension.cast | ( |  | extension | ) |
| static

        Upcast a generic extension to this specific type.

        :type extension: :py:class:`Extension`
        :param extension: The extension to cast.
        :rtype: :py:class:`ParallelAccessExtension`
        :return: The upcasted extension. This will be null if no upcasting is possible.

## ◆ get_capabilities()

iolink.iolink.ParallelAccessExtension.get_capabilities | ( |  | self | ) |

    Return the parallel-access capabilities of this view.

## ◆ support()

iolink.iolink.ParallelAccessExtension.support | ( |  | self,
|  |  | flags
| ) |  |

    Checks if the view supports the given capabilities.

## ◆ to_string()

iolink.iolink.ParallelAccessExtension.to_string | ( |  | self | ) |

    String representation of the extension.

The documentation for this class was generated from the following file:

- Release/python/iolink/iolink.py